<RuleList>
    <!-- Generic -->
    <Rule>
        <website>generic</website>
        <id_elem>
            <type>text</type>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Google -->
    <Rule>
        <website>google</website>
        <id_elem>
            <name>email</name>
            <id>email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Yahoo -->
    <Rule>
        <website>yahoo</website>
        <id_elem>
            <name>login</name>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Yahoo China -->
    <Rule>
        <website>cn.yahoo</website>
        <id_elem>
            <name>login</name>
            <id>emailinput</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Youtube -->
    <Rule>
        <website>youtube</website>
        <id_elem>
            <name>email</name>
            <id>email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Facebook -->
    <Rule>
        <website>facebook</website>
        <id_elem>
            <name>email</name>
            <id>email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Amazon -->
    <Rule>
        <website>amazon</website>
        <id_elem>
            <name>email</name>
            <id>ap_email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Blogger -->
    <Rule>
        <website>amazon</website>
        <id_elem>
            <name>email</name>
            <id>email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Twitter -->
    <Rule>
        <website>twitter</website>
        <id_elem>
            <name>session[username_or_email]</name>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- eBay -->
    <Rule>
        <website>ebay</website>
        <id_elem>
            <name>userid</name>
            <id>userid</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Flickr -->
    <Rule>
        <website>flickr</website>
        <id_elem>
            <name>login</name>
            <id>username</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- MySpace -->
    <Rule>
        <website>myspace</website>
        <id_elem>
            <name>email</name>
            <id>emailpopup</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- DirectorZone -->
    <Rule>
        <website>directorzone</website>
        <id_elem>
            <name>email</name>
            <id>email</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- MoovieLive -->
    <Rule>
        <website>moovielive</website>
        <id_elem>
            <name>emailaddress</name>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Wretch -->
    <Rule>
        <website>wretch</website>
        <id_elem>
            <name>login</name>
            <id>username</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Ruten -->
    <Rule>
        <website>ruten</website>
        <id_elem>
            <name>userid</name>
            <id>userid</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Eachnet -->
    <Rule>
        <website>eachnet</website>
        <id_elem>
            <name>username</name>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- Auction -->
    <Rule>
        <website>auction</website>
        <id_elem>
            <name>id</name>
            <id>id</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
    <!-- AOL -->
    <Rule>
        <website>aol</website>
        <id_elem>
            <name>loginid</name>
            <id>lgnid1</id>
        </id_elem>
        <pw_elem>
	    <type>password</type>
        </pw_elem>
    </Rule>
</RuleList>